Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.watch
Class StringValueWatch

    java.lang.Object
      com.saxonica.validate.AbstractWatch
          com.saxonica.stream.watch.ComposingWatch
              com.saxonica.stream.watch.StringValueWatch

All Implemented Interfaces:
  Watch

    public class StringValueWatch

extends ComposingWatch
implements Watch

This class is used when a streamed template requests evaluation of the string value of the nodes selected by a path expression, typically in response to an xsl:value-of instruction. The expression delivers a sequence of strings, one for each selected node.

Constructor Summary
`StringValueWatch(Feed result, Stack<XPathContext> contextStack)`

Method Summary
`void` | `endSelectedParentNode(int locationId)` Signal that the endElement event has occurred for the element whose startElement event caused the Watch to be activated.
`void` | `notifySelectedLeafNode(FleetingNode node, int locationId)` Signal that a node (other than an element) that matches the selection has been found.
`Receiver` | `startSelectedParentNode(FleetingNode node, int locationId)` Signal that an element has been found that matches the selection that this Watch is looking for.

Methods inherited from class com.saxonica.stream.watch.ComposingWatch
`close, getContext, getContextStack, getResult, open`

Methods inherited from class com.saxonica.validate.AbstractWatch
`getAnchorNode, getNamespaceResolver, getPipelineConfiguration, getSelection, setAnchorNode, setNamespaceResolver, setPipelineConfiguration, setSelection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.saxonica.stream.watch.Watch
`close, getAnchorNode, getNamespaceResolver, getPipelineConfiguration, getSelection, open, setAnchorNode, setNamespaceResolver, setPipelineConfiguration, setSelection`

Constructor Detail

### StringValueWatch

    public StringValueWatch(Feed result,
                            Stack<XPathContext> contextStack)

Method Detail

### startSelectedParentNode

    public Receiver startSelectedParentNode(FleetingNode node,
                                            int locationId)
                                     throws XPathException

  Signal that an element has been found that matches the selection that this Watch is looking for. This method is called by the ConstraintChecker while processing the startElement event that matches the selection. For this purpose, any attributes selected by the last step in the selection are ignored

  Specified by:
    `startSelectedParentNode` in interface `Watch`
  Parameters:
    `node` -
    `locationId` - @throws net.sf.saxon.type.ValidationException May be raised if the constraint implemented by this Watch is violated
  Returns:
    a Receiver to be notified of all events starting with the startElement/startDocument event for the matched element, and ending with the endElement event for that element.
  Throws:
    `ValidationException` - May be raised if the constraint implemented by this Watch is violated
    `XPathException`

### endSelectedParentNode

    public void endSelectedParentNode(int locationId)
                               throws XPathException

  Signal that the endElement event has occurred for the element whose startElement event caused the Watch to be activated.

  Specified by:
    `endSelectedParentNode` in interface `Watch`
  Parameters:
    `locationId` - the location of the element
  Throws:
    `ValidationException` - May be raised if the constraint implemented by this Watch is violated @param locationId
    `XPathException` - May be raised if a constraint implemented by this Watch is violated

### notifySelectedLeafNode

    public void notifySelectedLeafNode(FleetingNode node,
                                       int locationId)
                                throws XPathException

  Signal that a node (other than an element) that matches the selection has been found.

  Specified by:
    `notifySelectedLeafNode` in interface `Watch`
  Overrides:
    `notifySelectedLeafNode` in class `AbstractWatch`
  Parameters:
    `node` - the node that was matched.
    `locationId` -
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.